Package ru.bitel.bgbilling.kernel.module.common.bean

# Class PermissionKit

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.module.common.bean.PermissionKit

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class PermissionKit extends IdTitle
Набор ограничений

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PermissionKit()`
  `PermissionKit(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<BGSActionGroup>`
  `getActionGroups()`
  `List<BGSAction>`
  `getActions()`
  `List<Integer>`
  `getContractLabels()`
  `List<String>`
  `getContractObjects()`
  `String`
  `getDescription()`
  `List<Integer>`
  `getDomenIds()`
  `List<String>`
  `getPids()`
  `void`
  `setActionGroups(List<BGSActionGroup> actionGroups)`
  `void`
  `setActions(List<BGSAction> actions)`
  `void`
  `setContractLabels(List<Integer> contractLabels)`
  `void`
  `setContractObjects(List<String> contractObjects)`
  `void`
  `setDescription(String description)`
  `void`
  `setDomenIds(List<Integer> domenIds)`
  `void`
  `setPids(List<String> pids)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### PermissionKit

    public PermissionKit()

  - ### PermissionKit

    public PermissionKit(int id, String title)

- ## Method Details

  - ### getActions

    public List<BGSAction> getActions()

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### setActions

    public void setActions(List<BGSAction> actions)

  - ### getActionGroups

    public List<BGSActionGroup> getActionGroups()

  - ### setActionGroups

    public void setActionGroups(List<BGSActionGroup> actionGroups)

  - ### getPids

    public List<String> getPids()

  - ### setPids

    public void setPids(List<String> pids)

  - ### getContractObjects

    public List<String> getContractObjects()

  - ### setContractObjects

    public void setContractObjects(List<String> contractObjects)

  - ### getContractLabels

    public List<Integer> getContractLabels()

  - ### setContractLabels

    public void setContractLabels(List<Integer> contractLabels)

  - ### getDomenIds

    public List<Integer> getDomenIds()

  - ### setDomenIds

    public void setDomenIds(List<Integer> domenIds)